From cbef9a5a0aa68d46b6a707e3a77dd940ff24bb50 Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Sun, 7 Mar 2010 12:07:54 +0100
Subject: Shuffeling cgi files arround.

---
 cgi/crontab                   |   7 ++
 cgi/logrotate                 |  11 +++
 debian/live-helper.cron.daily | 155 ------------------------------------------
 debian/live-helper.default    |  16 -----
 debian/live-helper.logrotate  |  11 ---
 debian/rules                  |   4 +-
 examples/cron/cron.daily      | 155 ++++++++++++++++++++++++++++++++++++++++++
 examples/cron/crontab         |   7 --
 examples/cron/default         |  16 +++++
 9 files changed, 190 insertions(+), 192 deletions(-)
 create mode 100644 cgi/crontab
 create mode 100644 cgi/logrotate
 delete mode 100644 debian/live-helper.cron.daily
 delete mode 100644 debian/live-helper.default
 delete mode 100644 debian/live-helper.logrotate
 create mode 100755 examples/cron/cron.daily
 delete mode 100644 examples/cron/crontab
 create mode 100644 examples/cron/default

diff --git a/cgi/crontab b/cgi/crontab
new file mode 100644
index 0000000..0cb78a3
--- /dev/null
+++ b/cgi/crontab
@@ -0,0 +1,7 @@
+# /etc/crontab - system-wide crontab
+
+SHELL=/bin/sh
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+# m  h dom mon dow user command
+*/1  * *   *   *   root /etc/cron.hourly/live-webhelper > /dev/null 2>&1
diff --git a/cgi/logrotate b/cgi/logrotate
new file mode 100644
index 0000000..91b5ed5
--- /dev/null
+++ b/cgi/logrotate
@@ -0,0 +1,11 @@
+# /etc/logrotate.d/live-helper
+
+/var/log/live
+{
+	compress
+	copytruncate
+	missingok
+	monthly
+	notifempty
+	rotate 24
+}
diff --git a/debian/live-helper.cron.daily b/debian/live-helper.cron.daily
deleted file mode 100644
index ea630f7..0000000
--- a/debian/live-helper.cron.daily
+++ /dev/null
@@ -1,155 +0,0 @@
-#!/bin/sh
-
-set -e
-
-BUILD="daily"
-HOST="$(hostname)"
-
-# Checking for live-helper availability
-if [ ! -x /usr/bin/lh_config ]
-then
-	exit 0
-fi
-
-# Checking for live-helper defaults
-if [ -r /etc/default/live-helper_autobuild ]
-then
-	. /etc/default/live-helper_autobuild
-else
-	echo "E: /etc/default/live-helper_autobuild missing."
-	exit 1
-fi
-
-# Checking for autobuild
-if [ "${AUTOBUILD}" != "true" ]
-then
-	exit 0
-fi
-
-# Checking for build directory
-if [ ! -d "${TEMPDIR}" ]
-then
-	mkdir -p "${TEMPDIR}"/debian-live
-else
-	# FIXME: maybe we should just remove the left overs.
-	echo "E: ${TEMPDIR} needs cleanup."
-	exit 1
-fi
-
-echo "$(date +%b\ %d\ %H:%M:%S) ${HOST} live-helper: begin daily build." >> /var/log/live
-
-for ARCHITECTURE in ${ARCHITECTURES}
-do
-	for DISTRIBUTION in ${DISTRIBUTIONS}
-	do
-		for PACKAGES_LIST in ${PACKAGES_LISTS}
-		do
-			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt ]
-			then
-				# Creating build directory
-				mkdir -p "${TEMPDIR}"/debian-live
-
-				cd "${TEMPDIR}"/debian-live
-				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
-
-				# Generating images
-				lh_config -b iso -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source true ${OPTIONS}
-				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
-
-				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
-			fi
-
-			if [ -f "${TEMPDIR}"/debian-live/binary.iso ] && [ -f "${TEMPDIR}"/debian-live/source.tar ]
-			then
-				# Creating log directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
-
-				# Moving logs
-				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt
-				mv "${TEMPDIR}"/debian-live/packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt
-
-				# Creating images directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source
-
-				# Moving images
-				mv "${TEMPDIR}"/debian-live/binary.iso "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.iso
-				mv "${TEMPDIR}"/debian-live/source.tar "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source/debian-live-${DISTRIBUTION}-source-${PACKAGES_LIST}.tar
-			fi
-
-			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt ]
-			then
-				# Workaround of missing multi-binary support in live-helper
-				mv "${TEMPDIR}"/debian-live/binary/casper "${TEMPDIR}"/debian-live/casper.tmp
-				rm -rf "${TEMPDIR}"/debian-live/binary* "${TEMPDIR}"/debian-live/.stage/binary_*
-				mkdir "${TEMPDIR}"/debian-live/binary
-				mv "${TEMPDIR}"/debian-live/casper.tmp "${TEMPDIR}"/debian-live/binary/casper
-				touch "${TEMPDIR}"/debian-live/.stage/binary_chroot
-				touch "${TEMPDIR}"/debian-live/.stage/binary_rootfs
-
-				# Creating build directory
-				mkdir -p "${TEMPDIR}"/debian-live
-
-				cd "${TEMPDIR}"/debian-live
-				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
-
-				# Generating images
-				lh_config -b usb-hdd -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source false ${OPTIONS}
-				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
-
-				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
-			fi
-
-			if [ -f "${TEMPDIR}"/debian-live/binary.img ]
-			then
-				# Creating log directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
-
-				# Moving logs
-				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt
-				cp "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-packages.txt
-
-				# Creating image directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
-
-				# Moving images
-				mv "${TEMPDIR}"/debian-live/binary.img "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.img
-			fi
-
-			# Cleanup
-			cd "${TEMPDIR}"/debian-live
-			lh_clean
-		done
-
-		# Cleanup
-		cd "${TEMPDIR}"/debian-live
-		lh_clean purge
-	done
-done
-
-# Cleaning up
-if [ -f "${TEMPDIR}"/debian-live/chroot/proc/version ]
-then
-	umount "${TEMPDIR}"/debian-live/chroot/proc
-fi
-
-if [ -d "${TEMPDIR}"/debian-live/chroot/sys/kernel ]
-then
-	umount "${TEMPDIR}"/debian-live/chroot/sys
-fi
-
-# Removing build directory
-rm -rf "${TEMPDIR}"
-
-# Creating md5sums
-for DIRECTORY in "${DESTDIR}"/"${BUILD}"-builds/${DATE}/*
-do
-	cd "${DIRECTORY}"
-	md5sum * > MD5SUMS
-done
-
-# Creating current symlink
-rm -f "${DESTDIR}"/"${BUILD}"-builds/current
-ln -s ${DATE} "${DESTDIR}"/"${BUILD}"-builds/current
-
-echo "$(date +%b\ %d\ %H:%M:%S) ${HOST} live-helper: end daily build." >> /var/log/live
diff --git a/debian/live-helper.default b/debian/live-helper.default
deleted file mode 100644
index 051417b..0000000
--- a/debian/live-helper.default
+++ /dev/null
@@ -1,16 +0,0 @@
-# Defaults for /etc/cron.daily/live-helper_autobuild
-
-AUTOBUILD="false"
-
-DATE="$(date +%Y%m%d)"
-DESTDIR="/srv/debian-live"
-TEMPDIR="/srv/tmp/live-helper"
-
-OPTIONS="--binary-indices false"
-
-ARCHITECTURES="$(dpkg --print-architecture)"
-DISTRIBUTIONS="sid"
-MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
-MIRROR_BINARY="http://ftp.debian.org/debian/"
-MIRROR_BINARY_SECURITY="http://security.debian.org/"
-PACKAGES_LISTS="standard rescue gnome-desktop kde-desktop xfce-desktop"
diff --git a/debian/live-helper.logrotate b/debian/live-helper.logrotate
deleted file mode 100644
index 91b5ed5..0000000
--- a/debian/live-helper.logrotate
+++ /dev/null
@@ -1,11 +0,0 @@
-# /etc/logrotate.d/live-helper
-
-/var/log/live
-{
-	compress
-	copytruncate
-	missingok
-	monthly
-	notifempty
-	rotate 24
-}
diff --git a/debian/rules b/debian/rules
index c9fd0ff..97b42fa 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,8 +14,6 @@ override_dh_auto_install:
 
 	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/live-helper
 
-	install -D -m 0644 debian/live-helper.default debian/live-helper/etc/default/live-helper_autobuild
-
 	# Preparing alternatives
 	mv debian/live-helper/usr/share/live-helper/includes debian/live-helper/usr/share/live-helper/includes.debian
 	mv debian/live-helper/usr/share/live-helper/templates debian/live-helper/usr/share/live-helper/templates.debian
@@ -24,7 +22,7 @@ override_dh_auto_install:
 	rm -f debian/live-helper/usr/share/doc/live-helper/COPYING
 	rm -f debian/live-helper/usr/share/doc/live-helper/ChangeLog
 	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.live-package debian/live-helper/usr/share/doc/live-helper/changelog.live-package
-
+	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.live-webhelper debian/live-helper/usr/share/doc/live-helper/changelog.live-webhelper
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/ChangeLog
diff --git a/examples/cron/cron.daily b/examples/cron/cron.daily
new file mode 100755
index 0000000..ea630f7
--- /dev/null
+++ b/examples/cron/cron.daily
@@ -0,0 +1,155 @@
+#!/bin/sh
+
+set -e
+
+BUILD="daily"
+HOST="$(hostname)"
+
+# Checking for live-helper availability
+if [ ! -x /usr/bin/lh_config ]
+then
+	exit 0
+fi
+
+# Checking for live-helper defaults
+if [ -r /etc/default/live-helper_autobuild ]
+then
+	. /etc/default/live-helper_autobuild
+else
+	echo "E: /etc/default/live-helper_autobuild missing."
+	exit 1
+fi
+
+# Checking for autobuild
+if [ "${AUTOBUILD}" != "true" ]
+then
+	exit 0
+fi
+
+# Checking for build directory
+if [ ! -d "${TEMPDIR}" ]
+then
+	mkdir -p "${TEMPDIR}"/debian-live
+else
+	# FIXME: maybe we should just remove the left overs.
+	echo "E: ${TEMPDIR} needs cleanup."
+	exit 1
+fi
+
+echo "$(date +%b\ %d\ %H:%M:%S) ${HOST} live-helper: begin daily build." >> /var/log/live
+
+for ARCHITECTURE in ${ARCHITECTURES}
+do
+	for DISTRIBUTION in ${DISTRIBUTIONS}
+	do
+		for PACKAGES_LIST in ${PACKAGES_LISTS}
+		do
+			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt ]
+			then
+				# Creating build directory
+				mkdir -p "${TEMPDIR}"/debian-live
+
+				cd "${TEMPDIR}"/debian-live
+				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
+
+				# Generating images
+				lh_config -b iso -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source true ${OPTIONS}
+				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
+
+				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
+			fi
+
+			if [ -f "${TEMPDIR}"/debian-live/binary.iso ] && [ -f "${TEMPDIR}"/debian-live/source.tar ]
+			then
+				# Creating log directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
+
+				# Moving logs
+				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt
+				mv "${TEMPDIR}"/debian-live/packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt
+
+				# Creating images directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source
+
+				# Moving images
+				mv "${TEMPDIR}"/debian-live/binary.iso "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.iso
+				mv "${TEMPDIR}"/debian-live/source.tar "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source/debian-live-${DISTRIBUTION}-source-${PACKAGES_LIST}.tar
+			fi
+
+			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt ]
+			then
+				# Workaround of missing multi-binary support in live-helper
+				mv "${TEMPDIR}"/debian-live/binary/casper "${TEMPDIR}"/debian-live/casper.tmp
+				rm -rf "${TEMPDIR}"/debian-live/binary* "${TEMPDIR}"/debian-live/.stage/binary_*
+				mkdir "${TEMPDIR}"/debian-live/binary
+				mv "${TEMPDIR}"/debian-live/casper.tmp "${TEMPDIR}"/debian-live/binary/casper
+				touch "${TEMPDIR}"/debian-live/.stage/binary_chroot
+				touch "${TEMPDIR}"/debian-live/.stage/binary_rootfs
+
+				# Creating build directory
+				mkdir -p "${TEMPDIR}"/debian-live
+
+				cd "${TEMPDIR}"/debian-live
+				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
+
+				# Generating images
+				lh_config -b usb-hdd -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source false ${OPTIONS}
+				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
+
+				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
+			fi
+
+			if [ -f "${TEMPDIR}"/debian-live/binary.img ]
+			then
+				# Creating log directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
+
+				# Moving logs
+				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt
+				cp "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-packages.txt
+
+				# Creating image directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
+
+				# Moving images
+				mv "${TEMPDIR}"/debian-live/binary.img "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.img
+			fi
+
+			# Cleanup
+			cd "${TEMPDIR}"/debian-live
+			lh_clean
+		done
+
+		# Cleanup
+		cd "${TEMPDIR}"/debian-live
+		lh_clean purge
+	done
+done
+
+# Cleaning up
+if [ -f "${TEMPDIR}"/debian-live/chroot/proc/version ]
+then
+	umount "${TEMPDIR}"/debian-live/chroot/proc
+fi
+
+if [ -d "${TEMPDIR}"/debian-live/chroot/sys/kernel ]
+then
+	umount "${TEMPDIR}"/debian-live/chroot/sys
+fi
+
+# Removing build directory
+rm -rf "${TEMPDIR}"
+
+# Creating md5sums
+for DIRECTORY in "${DESTDIR}"/"${BUILD}"-builds/${DATE}/*
+do
+	cd "${DIRECTORY}"
+	md5sum * > MD5SUMS
+done
+
+# Creating current symlink
+rm -f "${DESTDIR}"/"${BUILD}"-builds/current
+ln -s ${DATE} "${DESTDIR}"/"${BUILD}"-builds/current
+
+echo "$(date +%b\ %d\ %H:%M:%S) ${HOST} live-helper: end daily build." >> /var/log/live
diff --git a/examples/cron/crontab b/examples/cron/crontab
deleted file mode 100644
index 0cb78a3..0000000
--- a/examples/cron/crontab
+++ /dev/null
@@ -1,7 +0,0 @@
-# /etc/crontab - system-wide crontab
-
-SHELL=/bin/sh
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-
-# m  h dom mon dow user command
-*/1  * *   *   *   root /etc/cron.hourly/live-webhelper > /dev/null 2>&1
diff --git a/examples/cron/default b/examples/cron/default
new file mode 100644
index 0000000..051417b
--- /dev/null
+++ b/examples/cron/default
@@ -0,0 +1,16 @@
+# Defaults for /etc/cron.daily/live-helper_autobuild
+
+AUTOBUILD="false"
+
+DATE="$(date +%Y%m%d)"
+DESTDIR="/srv/debian-live"
+TEMPDIR="/srv/tmp/live-helper"
+
+OPTIONS="--binary-indices false"
+
+ARCHITECTURES="$(dpkg --print-architecture)"
+DISTRIBUTIONS="sid"
+MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+MIRROR_BINARY="http://ftp.debian.org/debian/"
+MIRROR_BINARY_SECURITY="http://security.debian.org/"
+PACKAGES_LISTS="standard rescue gnome-desktop kde-desktop xfce-desktop"
-- 
cgit v1.0